Subject: Re: [PATCH 1/3] trailer: add a trailer.trimEmpty config option

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2015 10:23:33 -0800

Christian Couder <[email-masked]> writes:

> It is not designed like this because you only asked me to design it
> like this after the facts, when there was another email thread about
> conflicts blocks and one function you created could be used by the
> trailer code too.
>
> If you had asked this from the beginning I would certainly have done...

Because the process here is not somebody outlines the design and
gives it to laborer to implement, "after the fact" and "from the
beginning" are complaining to and asking for impossible.  You design
and implement and then it gets reviewed, not the other way around.